Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412878 - Still showing the "View http://$THESYSTEM" menu item even after the recipe is finished
Summary: Still showing the "View http://$THESYSTEM" menu item even after the recipe is...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Retired
Component: web UI
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 24.1
Assignee: Dan Callaghan
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-13 03:23 UTC by Hui Wang
Modified: 2017-02-28 16:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-28 16:50:33 UTC


Attachments (Terms of Use)

Description Hui Wang 2017-01-13 03:23:32 UTC
Description of problem:

We provided a hyperlink on the recipe page linking to the web application running on the system, but if the recipe is finished, it still shows the "View http://$THESYSTEM" in recipe page system drop down menu.
More details, pls seealso bug 1323154.

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1.After recipe finished
2.Go to recipe page, click system drop down menu
3.

Actual results:
still shows "View http://$THESYSTEM" 

Expected results:
Hide "View http://$THESYSTEM"

Additional info:

Comment 1 Dan Callaghan 2017-01-13 04:28:24 UTC
Just need to put a conditional around the menu item in the view, checking 'is_finished' on the recipe model.

Comment 2 Dan Callaghan 2017-02-21 21:41:50 UTC
https://gerrit.beaker-project.org/5645

Comment 4 Hui Wang 2017-02-28 04:50:27 UTC
Verified this issue.
The result is PASS.
Version: Beaker 24.1.git.11.9d75df3

steps:

Steps to Reproduce:
1. Reserve a system
2. After recipe finished, go to recipe page, click system drop down menu.
"View http://$THESYSTEM" disappears.

Comment 5 Dan Callaghan 2017-02-28 16:50:33 UTC
Beaker 24.1 has been released.


Note You need to log in before you can comment on or make changes to this bug.